Bug 205000 - [PATCH] security/libgcrypt: Add upstream commit to fix build errors with -pedantic
Summary: [PATCH] security/libgcrypt: Add upstream commit to fix build errors with -ped...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-12-03 20:56 UTC by Raphael Kubo da Costa
Modified: 2015-12-18 12:26 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback-
koobs: merge-quarterly-


Attachments
Proposed patch (2.22 KB, patch)
2015-12-03 20:56 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2015-12-03 20:56:59 UTC
Created attachment 163826 [details]
Proposed patch

The attached patch imports an upstream commit that fixes the build with -pedantic. I've tested it to fix at least devel/ccrtp's build on 9.3, which is currently broken (http://portsmon.freebsd.org/portoverview.py?category=devel&portname=ccrtp):

  In file included from ccrtp/crypto/gcrypt/gcrypthmac.cpp:23:
  /usr/local/include/gcrypt.h:509: error: comma at end of enumerator list
  /usr/local/include/gcrypt.h:1346: error: comma at end of enumerator list
  Makefile:571: recipe for target 'gcrypthmac.lo' failed
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 08:57:54 UTC
Reporter is committer, assign accordingly.

Appears to be a great candidate for quarterly (MFH)
Comment 2 Raphael Kubo da Costa freebsd_committer 2015-12-04 09:08:59 UTC
Resetting "merge-quarterly?" flag. Looking at portsmon, the regression seems to be present only in ports-head (libgcrypt 1.6.4):
  http://portsmon.freebsd.org/portoverview.py?category=devel&portname=ccrtp
  http://portsmon.freebsd.org/portoverview.py?category=security&portname=libgcrypt
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 09:12:04 UTC
Set - for 'not necessary' that way the request/response is tracked :)

Thanks Raphael!
Comment 4 commit-hook freebsd_committer 2015-12-18 12:25:44 UTC
A commit references this bug:

Author: rakuco
Date: Fri Dec 18 12:25:01 UTC 2015
New revision: 403961
URL: https://svnweb.freebsd.org/changeset/ports/403961

Log:
  Add upstream commit to fix build errors with -pedantic.

  This fixes at least devel/ccrtp's build on 9.3, which is currently broken:

    In file included from ccrtp/crypto/gcrypt/gcrypthmac.cpp:23:
    /usr/local/include/gcrypt.h:509: error: comma at end of enumerator list
    /usr/local/include/gcrypt.h:1346: error: comma at end of enumerator list
    Makefile:571: recipe for target 'gcrypthmac.lo' failed

  MFH'ing this is not necessary, this bug is only present in libgcrypt 1.6.4.

  PR:		205000
  Approved by:	maintainer timeout (15 days)

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/files/patch-git_f5832285